function $AdfResetEvent$$($source$$158$$) {
  this.Init($source$$158$$);
}
$goog$exportSymbol$$("AdfResetEvent", $AdfResetEvent$$);
$AdfObject$$.$createSubclass$($AdfResetEvent$$, $AdfComponentEvent$$);
$AdfResetEvent$$.$RESET_EVENT_TYPE$ = "reset";
$goog$exportSymbol$$("AdfResetEvent.RESET_EVENT_TYPE", $AdfResetEvent$$.$RESET_EVENT_TYPE$);
$AdfResetEvent$$.prototype.Init = function $$AdfResetEvent$$$$Init$($source$$159$$) {
  $AdfAssert$$.$assertPrototype$($source$$159$$, $AdfUIComponent$$);
  $AdfResetEvent$$.$superclass$.Init.call(this, $source$$159$$, $AdfResetEvent$$.$RESET_EVENT_TYPE$);
};
$AdfObject$$.$exportPrototypeSymbol$("AdfResetEvent.prototype.Init", {Init:$AdfResetEvent$$.prototype.Init});
$AdfResetEvent$$.prototype.$propagatesToServer$ = function $$AdfResetEvent$$$$$propagatesToServer$$() {
  return !0;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfResetEvent.prototype.propagatesToServer", {$propagatesToServer$:$AdfResetEvent$$.prototype.$propagatesToServer$});
$AdfResetEvent$$.$queue$ = function $$AdfResetEvent$$$$queue$$($component$$291$$, $partial$$11$$) {
  (new $AdfResetEvent$$($component$$291$$)).$queue$($partial$$11$$);
};
$goog$exportSymbol$$("AdfResetEvent.queue", $AdfResetEvent$$.$queue$);
